"""app URL Configuration

The `urlpatterns` list routes URLs to views. For more information please see:
    https://docs.djangoproject.com/en/3.2/topics/http/urls/
Examples:
Function views
    1. Add an import:  from my_app import views
    2. Add a URL to urlpatterns:  path('', views.home, name='home')
Class-based views
    1. Add an import:  from other_app.views import Home
    2. Add a URL to urlpatterns:  path('', Home.as_view(), name='home')
Including another URLconf
    1. Import the include() function: from django.urls import include, path
    2. Add a URL to urlpatterns:  path('blog/', include('blog.urls'))
"""
from django.contrib import admin
from django.urls import path
from django.conf import settings
from django.conf.urls.static import static

from .event import views as event_views
import app.contact.views

urlpatterns = [
    path(settings.URL_PREFIX + 'admin/', admin.site.urls),
    path(settings.URL_PREFIX + 'contact/', app.contact.views.index, name='contact'),
    path(settings.URL_PREFIX + 'events/<str:slug>', event_views.events, name='event'),
    path(settings.URL_PREFIX + 'events/', event_views.events, name='events'),
    path(settings.URL_PREFIX + '', event_views.timeline, name='timeline'),
] + static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT)

